POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-10-04T07:35:24.3378002+00:00",
"active": true,
"department_item_id": "571fdb47-a014-4f14-981b-2032869d4ae7",
"id": "e7506762-45fe-4d05-a88f-517419808f20",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-10-04T07:35:24.3378002+00:00</date> <department_item_id>571fdb47-a014-4f14-981b-2032869d4ae7</department_item_id> <id>e7506762-45fe-4d05-a88f-517419808f20</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"fa2f4400-b538-4d0a-8047-6e41b4c38241"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fa2f4400-b538-4d0a-8047-6e41b4c38241</guid>